// TextGrabberDlg.h : header file
//

#if !defined(AFX_TEXTGRABBERDLG_H__150F9C07_2B5F_11D4_B4D0_00D0B74AADD5__INCLUDED_)
#define AFX_TEXTGRABBERDLG_H__150F9C07_2B5F_11D4_B4D0_00D0B74AADD5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CTextGrabberDlg dialog

class CTextGrabberDlg : public CDialog
{
// Construction
public:
	void WriteRegistry();
	void ReadRegistry();
	int m_iButtonWidth;
	int m_iRightMargin;
	int m_iEditDistFromBottom;
	int m_iBottomDist;
	int m_iButtonHeight;
	CRect m_rcPrevious;
	CRect m_rcOrig;
	BOOL InstallHook();
	FARPROC m_fHookProc;
	HINSTANCE m_hDLL;
	HHOOK m_hHook;
	void (__stdcall *m_fInitProc)(HWND hEdit, HHOOK hHook, HWND hClear);
	CTextGrabberDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CTextGrabberDlg)
	enum { IDD = IDD_TEXTGRABBER_DIALOG };
	CEdit	m_editClass;
	CButton	m_checkCSV;
	CButton	m_btnOK;
	CButton	m_btnSave;
	CButton	m_btnCopy;
	CButton	m_btnClear;
	CButton	m_checkClear;
	CEdit	m_editText;
	BOOL	m_bClearOnNew;
	BOOL	m_bCSV;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTextGrabberDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CTextGrabberDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonClear();
	afx_msg void OnButtonCopy();
	afx_msg void OnButtonSave();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnSizing(UINT fwSide, LPRECT pRect);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TEXTGRABBERDLG_H__150F9C07_2B5F_11D4_B4D0_00D0B74AADD5__INCLUDED_)
